## irker 1.17+dfsg

=== Makefile ===
# Makefile for the irker relaying daemon

VERS=$(shell sed -n 's/version = "\(.\+\)"/\1/p' irkerd)
SYSTEMDSYSTEMUNITDIR:=$(shell pkg-config --variable=systemdsystemunitdir systemd)

docs: irkerd.html irkerd.8 irkerhook.html irkerhook.1

irkerd.8: irkerd.xml
	xmlto man irkerd.xml
irkerd.html: irkerd.xml
	xmlto html-nochunks irkerd.xml

irkerhook.1: irkerhook.xml
	xmlto man irkerhook.xml
irkerhook.html: irkerhook.xml
	xmlto html-nochunks irkerhook.xml

install.html: install.txt
	asciidoc -o install.html install.txt
security.html: security.txt
	asciidoc -o security.html security.txt
hacking.html: hacking.txt
	asciidoc -o hacking.html hacking.txt

install: irkerd.8 irkerhook.1 uninstall
	install -m 755 -o 0 -g 0 -d $(DESTDIR)/usr/bin/
	install -m 755 -o 0 -g 0 irkerd $(DESTDIR)/usr/bin/irkerd
ifneq ($(strip $(SYSTEMDSYSTEMUNITDIR)),)
	install -m 755 -o 0 -g 0 -d $(DESTDIR)$(SYSTEMDSYSTEMUNITDIR)
	install -m 644 -o 0 -g 0 irkerd.service $(DESTDIR)$(SYSTEMDSYSTEMUNITDIR)
endif
	install -m 755 -o 0 -g 0 -d $(DESTDIR)/usr/share/man/man8/
	install -m 755 -o 0 -g 0 irkerd.8 $(DESTDIR)/usr/share/man/man8/irkerd.8
	install -m 755 -o 0 -g 0 -d $(DESTDIR)/usr/share/man/man1/
	install -m 755 -o 0 -g 0 irkerhook.1 $(DESTDIR)/usr/share/man/man1/irkerhook.1

uninstall:
	rm -f $(DESTDIR)/usr/bin/irkerd
ifneq ($(strip $(SYSTEMDSYSTEMUNITDIR)),)
	rm -f $(DESTDIR)$(SYSTEMDSYSTEMUNITDIR)/irkerd.service
endif
	rm -f $(DESTDIR)/usr/share/man/man8/irkerd.8
	rm -f $(DESTDIR)/usr/share/man/man1/irkerhook.1

clean:
	rm -f irkerd.8 irkerhook.1 irker-*.tar.gz *~
	rm -f SHIPPER.* *.html

PYLINTOPTS = --rcfile=/dev/null --reports=n --include-ids=y --disable="C0103,C0111,C0301,R0201,R0902,R0903,R0912,R0915,E1101,W0201,W0621,W0702,F0401"
pylint:
	@pylint --output-format=parseable $(PYLINTOPTS) irkerd
	@pylint --output-format=parseable $(PYLINTOPTS) irkerhook.py

loc:
	@echo "LOC:"; wc -l irkerd irkerhook.py
	@echo -n "LLOC: "; grep -vE '(^ *#|^ *$$)' irkerd irkerhook.py | wc -l

SOURCES = README COPYING NEWS install.txt security.txt hacking.txt \
	irkerd irkerhook.py filter-example.py filter-test.py irk \
	Makefile irkerd.xml irkerhook.xml
EXTRA_DIST = irker-logo.png org.catb.irkerd.plist irkerd.service

version:
	@echo $(VERS)

irker-$(VERS).tar.gz: $(SOURCES) irkerd.8 irkerhook.1
	tar --transform='s:^:irker-$(VERS)/:' --show-transformed-names -cvzf irker-$(VERS).tar.gz $(SOURCES) $(EXTRA_DIST)

dist: irker-$(VERS).tar.gz

release: irker-$(VERS).tar.gz irkerd.html irkerhook.html install.html security.html hacking.html
	shipper -u -m -t; make clean
	git push && git push --tags

## irker 1.15+dfsg

=== debian/changelog ===
irker (1.15+dfsg-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop systemd Build-Dep as Ubuntu doesn't have it.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 11 Dec 2012 19:34:55 +0530

irker (1.15+dfsg-1) unstable; urgency=low

  * Merging upstream version 1.15+dfsg.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 10 Dec 2012 11:54:36 +0100

irker (1.14+dfsg-1ubuntu1) raring; urgency=low

  * Drop systemd Build-Dep, Ubuntu doesn't have it.

 -- Stefano Rivera <stefanor@ubuntu.com>  Sun, 02 Dec 2012 09:18:32 +0200

irker (1.14+dfsg-1) unstable; urgency=low

  * Merging upstream version 1.14+dfsg.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 28 Nov 2012 14:08:48 +0100

irker (1.13+dfsg-2) unstable; urgency=low

  * Dropping alternate depends on python-irclib.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 11 Nov 2012 19:54:16 +0100

irker (1.13+dfsg-1) experimental; urgency=low

  * Merging upstream version 1.13+dfsg.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 08 Nov 2012 11:51:26 +0100

irker (1.12+dfsg-1) experimental; urgency=low

  * Merging upstream version 1.12+dfsg.
  * Bumping versioned build-depends on python-irclib.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 12 Oct 2012 07:00:04 +0200

irker (1.11+dfsg-1) experimental; urgency=low

  * Merging upstream version 1.11+dfsg.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 11 Oct 2012 07:22:58 +0200

irker (1.10+dfsg-1) experimental; urgency=low

  * Merging upstream version 1.10+dfsg.
  * Removing python-eventlet recommends, upstream dropped support for
    it.
  * Updating python irc depends.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 10 Oct 2012 09:51:02 +0200

irker (1.9+dfsg-1) experimental; urgency=low

  * Merging upstream version 1.9+dfsg.
  * Adding systemd and pkg-config to build-depends to automatically
    guess systemd unit directory.
  * Adding todo file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 09 Oct 2012 07:44:39 +0200

irker (1.8+dfsg-1) experimental; urgency=low

  * Merging upstream version 1.8+dfsg.
  * Removing tinyifier-config.patch, included upstream.
  * Removing irk-netcat.patch, not applicable anymore.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 07 Oct 2012 09:58:51 +0200

irker (1.7+dfsg-3) experimental; urgency=low

  * Adding patch for irk test tool to let netcat terminate in order to
    send the request.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 06 Oct 2012 15:21:02 +0200

irker (1.7+dfsg-2) experimental; urgency=low

  * Adding patch to show commit IDs shortened by default to 7 characters
    (in line with default git --abbrev-commit) rather than the unusual
    12.
  * Adding patch to show commit IDs shortened by default to 7 characters
    (in line with default git --abbrev-commit) rather than the unusual
    12 also in gitweb.
  * Adding patch from upstream to get tinyfier from the config.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 06 Oct 2012 14:08:38 +0200

irker (1.7+dfsg-1) experimental; urgency=low

  * Merging upstream version 1.7+dfsg.
  * Adding irkerhook-git to be symlinked in git repositories.
  * Adding debhelper install file to install irk.
  * Adding debhelper examples file to install filter examples.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 05 Oct 2012 20:39:46 +0200

irker (1.6+dfsg-1) experimental; urgency=low

  * Merging upstream version 1.6+dfsg.
  * Removing vanished bugs file from debhelper docs.
  * Making comment about removing irker-logo.png in source more precise.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 04 Oct 2012 20:59:35 +0200

irker (1.5+dfsg-1) experimental; urgency=low

  * Initial release (Closes: #689011).
  * Rebuild upstream tarball without sourceless irker logo.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 03 Oct 2012 12:35:32 +0200

=== debian/control ===
Source: irker
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends: debhelper (>= 9), pkg-config, python, xmlto
Standards-Version: 3.9.4
Homepage: http://www.catb.org/esr/irker/

Package: irker
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-irc
Description: submission tools for IRC notifications
 irkerd is a specialized IRC client that runs as a daemon, allowing other
 programs to ship IRC notifications by sending JSON objects to a listening
 socket.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --with python2

dfsg:
	# no origin known and no source available
	rm -f irker-logo.png

override_dh_auto_build:
	DESTDIR="$(CURDIR)/debian/irker" dh_auto_build

override_dh_auto_install:
	DESTDIR="$(CURDIR)/debian/irker" dh_auto_install

	cp irkerhook.py debian/irker/usr/bin/irkerhook

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## irker 1.17%2Bdfsg

=== debian/changelog ===
irker (1.17+dfsg-3ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Drop systemd Build-Dep as Ubuntu doesn't have it.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 30 Apr 2013 12:01:37 +0530

irker (1.17+dfsg-3) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 20:52:36 +0100

irker (1.17+dfsg-2) unstable; urgency=low

  * Make irkerhook-git more usable by checking for irker.project value in
    repository config.
  * Renumbering patches with four leading digits.
  * Trimming diff headers in patches.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 20:51:10 +0100

irker (1.17+dfsg-1) unstable; urgency=low

  * Merging upstream version 1.17+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 07 Feb 2013 12:26:45 +0100

irker (1.16+dfsg-1) unstable; urgency=low

  * Merging upstream version 1.16+dfsg.
  * Updating year in copyright file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 26 Jan 2013 20:54:31 +0100

irker (1.15+dfsg-2) unstable; urgency=low

  * Updating year in copyright file.
  * Adding dpkg-source local-options.
  * Dropping dpkg-source compression levels.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 24 Jan 2013 16:10:06 +0100

## irker 1.17+dfsg

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Build-Depends: debhelper (>= 9), pkg-config, python, xmlto
+XSBC-Original-Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
 Standards-Version: 3.9.4
 Homepage: http://www.catb.org/esr/irker/

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	cp irkerhook.py debian/irker/usr/bin/irkerhook
 
 override_dh_builddeb:
-	dh_builddeb -- -Zxz -z9
+	dh_builddeb -- -Zxz
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

## irker 2.11+dfsg

=== Makefile ===
# Makefile for the irker relaying daemon

VERS := $(shell sed -n 's/version = "\(.\+\)"/\1/p' irkerd)
SYSTEMDSYSTEMUNITDIR := $(shell pkg-config --variable=systemdsystemunitdir systemd)

# `prefix`, `mandir` & `DESTDIR` can and should be set on the command
# line to control installation locations
prefix ?= /usr
mandir ?= /share/man
target = $(DESTDIR)$(prefix)

docs: irkerd.html irkerd.8 irkerhook.html irkerhook.1 irk.html irk.1

irkerd.8: irkerd.xml
	xmlto man irkerd.xml
irkerd.html: irkerd.xml
	xmlto html-nochunks irkerd.xml

irkerhook.1: irkerhook.xml
	xmlto man irkerhook.xml
irkerhook.html: irkerhook.xml
	xmlto html-nochunks irkerhook.xml

irk.1: irk.xml
	xmlto man irk.xml
irk.html: irk.xml
	xmlto html-nochunks irkerhook.xml

install.html: install.txt
	asciidoc -o install.html install.txt
security.html: security.txt
	asciidoc -o security.html security.txt
hacking.html: hacking.txt
	asciidoc -o hacking.html hacking.txt

install: irk.1 irkerd.8 irkerhook.1 uninstall
	install -m 755 -o 0 -g 0 -d "$(target)/bin"
	install -m 755 -o 0 -g 0 irkerd "$(target)/bin/irkerd"
ifneq ($(strip $(SYSTEMDSYSTEMUNITDIR)),)
	install -m 755 -o 0 -g 0 -d "$(DESTDIR)$(SYSTEMDSYSTEMUNITDIR)"
	install -m 644 -o 0 -g 0 irkerd.service "$(DESTDIR)$(SYSTEMDSYSTEMUNITDIR)"
endif
	install -m 755 -o 0 -g 0 -d "$(target)$(mandir)/man8"
	install -m 755 -o 0 -g 0 irkerd.8 "$(target)$(mandir)/man8/irkerd.8"
	install -m 755 -o 0 -g 0 -d "$(target)$(mandir)/man1"
	install -m 755 -o 0 -g 0 irkerhook.1 "$(target)$(mandir)/man1/irkerhook.1"
	install -m 755 -o 0 -g 0 irk.1 "$(target)$(mandir)/man1/irk.1"

uninstall:
	rm -f "$(target)/bin/irkerd"
ifneq ($(strip $(SYSTEMDSYSTEMUNITDIR)),)
	rm -f "$(DESTDIR)$(SYSTEMDSYSTEMUNITDIR)/irkerd.service"
endif
	rm -f "$(target)$(mandir)/man8/irkerd.8"
	rm -f "$(target)$(mandir)/man1/irkerhook.1"
	rm -f "$(target)$(mandir)/man1/irk.1"

clean:
	rm -f irkerd.8 irkerhook.1 irk.1 irker-*.tar.gz *~ *.html

PYLINTOPTS = --rcfile=/dev/null --reports=n \
	--msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
	--dummy-variables-rgx='^_'
SUPPRESSIONS = "C0103,C0111,C0301,C0302,C1001,R0201,R0902,R0903,R0912,R0913,R0914,R0915,E1101,W0142,W0201,W0212,W0621,W0702,W0703,W1201,F0401,E0611"
pylint:
	@pylint $(PYLINTOPTS) --disable=$(SUPPRESSIONS) irkerd
	@pylint $(PYLINTOPTS) --disable=$(SUPPRESSIONS) irkerhook.py

loc:
	@echo "LOC:"; wc -l irkerd irkerhook.py
	@echo -n "LLOC: "; grep -vE '(^ *#|^ *$$)' irkerd irkerhook.py | wc -l

DOCS = \
	README \
	COPYING \
	NEWS \
	install.txt \
	security.txt \
	hacking.txt \
	irkerhook.xml \
	irkerd.xml \
	irk.xml \

SOURCES = \
	$(DOCS) \
	irkerd \
	irkerhook.py \
	filter-example.py \
	filter-test.py \
	irk \
	Makefile

EXTRA_DIST = \
	org.catb.irkerd.plist \
	irkerd.service \
	irker-logo.png

version:
	@echo $(VERS)

irker-$(VERS).tar.gz: $(SOURCES) irkerd.8 irkerhook.1 irk.1
	mkdir irker-$(VERS)
	cp -pR $(SOURCES) $(EXTRA_DIST) irker-$(VERS)/
	@COPYFILE_DISABLE=1 tar -cvzf irker-$(VERS).tar.gz irker-$(VERS)
	rm -fr irker-$(VERS)

irker-$(VERS).md5:
	@md5sum irker-$(VERS).tar.gz >irker-$(VERS).md5

dist: irker-$(VERS).tar.gz irker-$(VERS).md5

release: irker-$(VERS).tar.gz irker-$(VERS).md5 irkerd.html irk.html irkerhook.html install.html security.html hacking.html
	shipper version=$(VERS) | sh -e -x

=== debian/changelog ===
irker (2.11+dfsg-2) unstable; urgency=low

  * I don't care anymore, not worth it.. orphaning.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 25 Jul 2014 20:46:42 +0200

irker (2.11+dfsg-1) unstable; urgency=low

  * Merging upstream version 2.11+dfsg:
    - irk works with ircs URLs (Closes: #749818).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 24 Jun 2014 16:30:06 +0200

irker (2.9+dfsg-1) unstable; urgency=low

  * Merging upstream version 2.9+dfsg.
  * Refreshing webview.patch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 10 Jun 2014 19:56:49 +0200

irker (2.8+dfsg-1) unstable; urgency=low

  * Merging upstream version 2.8+dfsg.
  * Dripping irk-manpage.patch, included upstream.
  * Adding patch to use author_name instead of author in Git
    notifications.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 31 May 2014 11:54:17 +0200

irker (2.7+dfsg-2) unstable; urgency=low

  * Adding manpage for irk from Antoine Beaupre <anarcat@debian.org>
    (Closes: 746535).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 03 May 2014 12:28:08 +0200

irker (2.7+dfsg-1) unstable; urgency=low

  * Dropping debconf handling (Closes: #743472).
  * Merging upstream version 2.7+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 05 Apr 2014 11:21:21 +0200

irker (2.6+dfsg-2) unstable; urgency=low

  * Building with dh --parallel.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 31 Mar 2014 21:00:17 +0200

irker (2.6+dfsg-1) experimental; urgency=low

  * Merging upstream version 2.6+dfgs.
  * Updating year in copyright file.
  * Dropping daemon user debconf support, there's no practical need to run
    irker under a different unprivileged user anyway.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 05 Feb 2014 20:41:13 +0100

irker (2.5+dfsg-5) experimental; urgency=low

  * Adding support for multiple channels in irkerhook-debian.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 19 Jan 2014 08:38:40 +0100

irker (2.5+dfsg-4) experimental; urgency=low

  * Running git hook with set -e.
  * Adding generic irkerhook for random debian purposes (such as lxc).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 17 Jan 2014 16:17:28 +0100

irker (2.5+dfsg-3) experimental; urgency=low

  * Disabling url check in irkerhook.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 16 Jan 2014 14:43:37 +0100

irker (2.5+dfsg-2) experimental; urgency=low

  * Updating local git hook for newer irker and git versions.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 13 Jan 2014 13:31:56 +0100

irker (2.5+dfsg-1) experimental; urgency=low

  * Merging upstream version 2.5+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 27 Dec 2013 15:51:30 +0100

irker (2.4+dfsg-1) experimental; urgency=low

  * Merging upstream version 2.4+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 05 Dec 2013 19:22:40 +0100

irker (2.3+dfsg-1) experimental; urgency=low

  * Merging upstream version 2.3+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 01 Dec 2013 09:20:51 +0100

irker (2.2+dfsg-1) experimental; urgency=low

  * Merging upstream version 2.2+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 01 Dec 2013 09:19:21 +0100

irker (2.1+dfsg-1) experimental; urgency=low

  * Merging upstream version 2.1+dfsg.
  * Adding patch to avoid rcopying removed logo file.
  * Renumbering patches.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 27 Nov 2013 07:04:08 +0100

irker (2.0+dfsg-1) experimental; urgency=low

  * Rewrapping init script.
  * Updating to standards version 3.9.5.
  * Merging upstream version 2.0+dfsg.
  * Dropping python-irc from depends, not required anymore.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 16 Nov 2013 14:29:36 +0100

irker (1.20+dfsg-5) experimental; urgency=low

  * Adding explicit depends to adduser (Closes: #722466).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 11 Sep 2013 15:45:58 +0200

irker (1.20+dfsg-4) experimental; urgency=low

  * Updating vcs fields.
  * Adding initscript.
  * Updating todo file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 09 Sep 2013 11:30:26 +0200

irker (1.20+dfsg-3) experimental; urgency=low

  * Adding vcs fields.
  * Wrapping control fields.
  * Adding manpage symlinks.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 17 Jul 2013 13:17:05 +0200

irker (1.20+dfsg-2) experimental; urgency=low

  [ Michael Stapelberg ]
  * Using dh-systemd for proper systemd-related maintscripts (Closes: #715252).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 12 Jul 2013 15:30:26 +0200

irker (1.20+dfsg-1) experimental; urgency=low

  * Merging upstream version 1.20+dfsg.
  * Rediffing abbrev-commit.patch.
  * Rediffing abbrev-gitweb.patch.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 28 May 2013 15:07:01 +0200

irker (1.19+dfsg-1) experimental; urgency=low

  * Merging upstream version 1.19+dfsg.
  * Sorting targets in rules.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 16 May 2013 10:46:00 +0200

irker (1.18+dfsg-1) experimental; urgency=low

  * Merging upstream version 1.18+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 18 Apr 2013 06:16:13 +0200

## irker 2.12+dfsg

=== debian/changelog ===
irker (2.12+dfsg-1) unstable; urgency=medium

  * QA upload.
  * Update to upstream version 2.12 (Closes: #775027)

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 17 Jan 2015 14:25:09 +0000

=== debian/control ===
Source: irker
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-systemd,
 pkg-config,
 python,
 systemd,
 xmlto,
Standards-Version: 3.9.5
Homepage: http://www.catb.org/esr/irker/
Vcs-Browser: http://daniel-baumann.ch/gitweb/?p=debian/packages/irker.git
Vcs-Git: git://daniel-baumann.ch/git/debian/packages/irker.git

Package: irker
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 adduser,
Description: submission tools for IRC notifications
 irkerd is a specialized IRC client that runs as a daemon, allowing other
 programs to ship IRC notifications by sending JSON objects to a listening
 socket.

## irker 2.17%2Bdfsg

=== debian/control ===
Source: irker
Section: utils
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Neil Muller <drnlmuller+debian@gmail.com>
Build-Depends:
 debhelper (>= 9),
 dh-systemd,
 pkg-config,
 python,
 systemd,
 xmlto,
 dh-python
Standards-Version: 3.9.7
Homepage: http://www.catb.org/esr/irker/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/irker/trunk/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/irker/trunk/

Package: irker
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 adduser,
Description: submission tools for IRC notifications
 irkerd is a specialized IRC client that runs as a daemon, allowing other
 programs to ship IRC notifications by sending JSON objects to a listening
 socket.

## irker 2.17+dfsg

=== Makefile ===
--- 
+++ 
@@ -61,7 +61,7 @@
 PYLINTOPTS = --rcfile=/dev/null --reports=n \
 	--msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
 	--dummy-variables-rgx='^_'
-SUPPRESSIONS = "C0103,C0111,C0301,C0302,C1001,R0201,R0902,R0903,R0912,R0913,R0914,R0915,E1101,W0142,W0201,W0212,W0621,W0702,W0703,W1201,F0401,E0611"
+SUPPRESSIONS = "C0103,C0111,C0301,C0302,C0330,C1001,R0201,R0902,R0903,R0912,R0913,R0914,R0915,E1101,W0142,W0201,W0212,W0621,W0702,W0703,W1201,F0401,E0611"
 pylint:
 	@pylint $(PYLINTOPTS) --disable=$(SUPPRESSIONS) irkerd
 	@pylint $(PYLINTOPTS) --disable=$(SUPPRESSIONS) irkerhook.py
@@ -109,5 +109,10 @@
 
 dist: irker-$(VERS).tar.gz irker-$(VERS).md5
 
-release: irker-$(VERS).tar.gz irker-$(VERS).md5 irkerd.html irk.html irkerhook.html install.html security.html hacking.html
+WEBDOCS = irkerd.html irk.html irkerhook.html install.html security.html hacking.html
+
+release: irker-$(VERS).tar.gz irker-$(VERS).md5 $(WEBDOCS)
 	shipper version=$(VERS) | sh -e -x
+
+refresh: $(WEBDOCS)
+	shipper -N -w version=$(VERS) | sh -e -x

=== debian/changelog ===
irker (2.17+dfsg-1) unstable; urgency=low

  * Update to latest upstream release.
    - Adds a delay to reconnect attempts (Closes: #749650).
    - License changed to BSD-2-clause license.
  * Add manpage for the irkerhook-debian helper.
  * Add 0007-irkerhook-git.patch to describer irkerhook-git in the
    irkerhook manpage.
  * Drop 0002-abbrev-commit.patch, 0003-abbrev-gitweb.patch and
    0004-webview.patch, as these fixes have been incorporated
    upstream.
  * Change VCS-Browser field to use https instead of http.
  * Bump Standards-Version to 3.9.7 (no changes needed).

 -- Neil Muller <drnlmuller+debian@gmail.com>  Tue, 15 Mar 2016 14:55:22 +0200

irker (2.13+dfsg-1) unstable; urgency=low

  * Adopt irker under the Python Applications Packaging Team umbrella
    (Closes: #756090).
  * Update to upstream version 2.13 (Closes: #793031).
  * Update years in copyright file.
  * Add a watch file.
  * Various lintian cleanups.
    - Add  missing stop levels to irker.init.
    - Fix adduser call in postinst.
    - Use BSD-3-clause as the copyright short name.
  * Don't remove the irker user on package removal, since it may still own
    files.
  * Add an Alias entry to the systemd unit so it recognises the SysV init
    script.
  * Add dh_python to Build-Depends.
  * Bump Standards-Version to 3.9.6 (no changes needed).

 -- Neil Muller <drnlmuller+debian@gmail.com>  Tue, 19 Jan 2016 22:46:39 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
-
-%:
-	dh ${@} --with python2
 
 dfsg:
 	# no origin known and no source available
 	rm -f irker-logo.png
+
+%:
+	dh ${@} --parallel --with python2,systemd
 
 override_dh_auto_build:
 	DESTDIR="$(CURDIR)/debian/irker" dh_auto_build

## irker 2.18%2Bdfsg

=== debian/changelog ===
irker (2.18+dfsg-2) unstable; urgency=low

  * Acknowledge Antoine Beaupré's NMU.
  * Add missing dependency on lsb-base (lintian warning).
  * Add IOError exception fix from upstream issue tracker.

 -- Neil Muller <drnlmuller+debian@gmail.com>  Tue, 01 Nov 2016 13:11:44 +0200

irker (2.18+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * new patches to the .service file:
    * run daemon as the irker used (Closes: #832758)
    * properly import environment from /etc/defaults (Closes: #832322)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 12 Sep 2016 11:59:26 -0400

irker (2.18+dfsg-1) unstable; urgency=low

  * Update to latest upstream release.
    - Adds support for specifying a template for irc
      messages (Closes: #824512).
  * Extend 0007-irkerhook-git.patch to describe the limitations of
    irkerhook-git in more detail.
  * Make irkerhook-git complain if no project or template has been
    configured.
  * Drop obsolete dh_builddeb compression override.
  * Bump Standards-Version to 3.9.8 (no changes needed).

 -- Neil Muller <drnlmuller+debian@gmail.com>  Fri, 17 Jun 2016 12:53:36 +0200

## irker 2.18+dfsg

=== debian/changelog ===
irker (2.18+dfsg-3) unstable; urgency=low

  * Migrate from SVN to git.
  * Add patch to fix irkerd under python 3 from upstream issue tracker.
  * Add patch to fix FTBFS due to Makefile copy and paste
    error (Closes: 864612).
  * Add patch so irkerhook.py runs under python 3 from upstream issue tracker.
  * Add irkerd.service updates from upstream repository.
    - Update Description.
    - Add Documentation links to the service file.
  * Fix some newer lintian warnings.
    - Don't use chown -R on installation.
    - Fix some spelling errors.
  * Add "Rules-Requires-Root:" field to debian/control.
    - Also bump Standards-Version to 4.1.5 (no further changes needed).
  * Update years in copyright file.
  * Change debhelper compatibility level to 11.
    - Bump minimum debhelper version required.
    - Remove obsolete dh-systemd dependency.
    - Update debian/rules accordingly.

 -- Neil Muller <drnlmuller+debian@gmail.com>  Wed, 11 Jul 2018 14:43:05 +0200

=== debian/control ===
Source: irker
Section: utils
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Neil Muller <drnlmuller+debian@gmail.com>
Build-Depends:
 debhelper (>= 11),
 pkg-config,
 python,
 systemd,
 xmlto,
 dh-python
Standards-Version: 4.1.5
Rules-Requires-Root: binary-targets
Homepage: http://www.catb.org/esr/irker/
Vcs-Browser: https://salsa.debian.org/python-team/applications/irker
Vcs-Git: https://salsa.debian.org/python-team/applications/irker.git

Package: irker
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 lsb-base,
 adduser,
Description: submission tools for IRC notifications
 irkerd is a specialized IRC client that runs as a daemon, allowing other
 programs to ship IRC notifications by sending JSON objects to a listening
 socket.

=== debian/rules ===
#!/usr/bin/make -f

dfsg:
	# no origin known and no source available
	rm -f irker-logo.png

%:
	dh ${@} --with python2

override_dh_auto_build:
	DESTDIR="$(CURDIR)/debian/irker" dh_auto_build

override_dh_auto_install:
	DESTDIR="$(CURDIR)/debian/irker" dh_auto_install

	cp irkerhook.py debian/irker/usr/bin/irkerhook

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## irker 2.19+dfsg

=== Makefile ===
--- 
+++ 
@@ -24,14 +24,14 @@
 irk.1: irk.xml
 	xmlto man irk.xml
 irk.html: irk.xml
-	xmlto html-nochunks irkerhook.xml
+	xmlto html-nochunks irk.xml
 
-install.html: install.txt
-	asciidoc -o install.html install.txt
-security.html: security.txt
-	asciidoc -o security.html security.txt
-hacking.html: hacking.txt
-	asciidoc -o hacking.html hacking.txt
+install.html: install.adoc
+	asciidoc -o install.html install.adoc
+security.html: security.adoc
+	asciidoc -o security.html security.adoc
+hacking.html: hacking.adoc
+	asciidoc -o hacking.html hacking.adoc
 
 install: irk.1 irkerd.8 irkerhook.1 uninstall
 	install -m 755 -o 0 -g 0 -d "$(target)/bin"
@@ -74,9 +74,9 @@
 	README \
 	COPYING \
 	NEWS \
-	install.txt \
-	security.txt \
-	hacking.txt \
+	install.adoc \
+	security.adoc \
+	hacking.adoc \
 	irkerhook.xml \
 	irkerd.xml \
 	irk.xml \

=== requirements.txt ===
PySocks==1.5.6

=== debian/changelog ===
irker (2.19+dfsg-1) unstable; urgency=low

  [ Neil Muller ]
  * New upstream release.
  * Tweak autopkgtest setup steps to be a bit more robust.
  * Update watch file to current gitlab layout.
  * Fix watchfile to correctly mangle the version to the correct dfsg format.
  * Bump Standards-Version to 4.5.1.
  * Add 'Pre-Depends: ${misc:Pre-Depends}' as the generated debhelper scripts
    need that.
  * Rebase patches against new upstream and drop merged patches.
  * Import fixes from upstream so irkerhook works with mercurial and python 3
    (Closes: 981922).

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Neil Muller <drnlmuller+debian@gmail.com>  Tue, 16 Feb 2021 07:22:43 +0200

irker (2.18+dfsg-4) unstable; urgency=low

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Neil Muller ]
  * Rename 0011-Import-upstream-tweaks-to-irkerd.service.patch to
    0014-Import-upstream-tweaks-to-irkerd.service.patch to avoid duplicate
    patch numbers.
  * Switch to using python3 (Closes: 936746):
    - Add 0015-Update-irkerhook-documentation-to-python-3.patch to use python3
      in the manpage example.
    - Add 0016-Update-shebangs.patch to use python3 shebangs in the commands.
  * Add a simple autopkgtest for irkerd daemon.
  * Drop custom compression setting to make lintian happy.
  * Add a lintian override because lintian misses our init.d file.
  * Update years in copyright file.
  * Bump Standards-Version to 4.4.0 (no further changes needed).

  [ Jonathan Carter ]
  * Team upload
  * Prepare upload to unstable
  * Fix email address in debian/copyright: s/debain/debian/g

 -- Jonathan Carter <jcc@debian.org>  Wed, 18 Sep 2019 17:40:43 +0200

=== debian/control ===
Source: irker
Section: utils
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Neil Muller <drnlmuller+debian@gmail.com>
Build-Depends:
 debhelper-compat (= 12),
 pkg-config,
 python3,
 systemd,
 xmlto,
 dh-python
Standards-Version: 4.5.1
Rules-Requires-Root: binary-targets
Homepage: http://www.catb.org/esr/irker/
Vcs-Browser: https://salsa.debian.org/python-team/packages/irker
Vcs-Git: https://salsa.debian.org/python-team/packages/irker.git

Package: irker
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 lsb-base,
 adduser,
Pre-Depends: ${misc:Pre-Depends}
Description: submission tools for IRC notifications
 irkerd is a specialized IRC client that runs as a daemon, allowing other
 programs to ship IRC notifications by sending JSON objects to a listening
 socket.

=== debian/tests/control ===
Tests: test-simple
Depends: irker, python3-irc
Restrictions: isolation-container

## irker 2.23+dfsg

=== Makefile ===
--- 
+++ 
@@ -58,13 +58,8 @@
 clean:
 	rm -f irkerd.8 irkerhook.1 irk.1 irker-*.tar.gz *~ *.html
 
-PYLINTOPTS = --rcfile=/dev/null --reports=n \
-	--msg-template="{path}:{line}: [{msg_id}({symbol}), {obj}] {msg}" \
-	--dummy-variables-rgx='^_'
-SUPPRESSIONS = "C0103,C0111,C0301,C0302,C0330,C1001,R0201,R0902,R0903,R0912,R0913,R0914,R0915,E1101,W0142,W0201,W0212,W0621,W0702,W0703,W1201,F0401,E0611"
 pylint:
-	@pylint $(PYLINTOPTS) --disable=$(SUPPRESSIONS) irkerd
-	@pylint $(PYLINTOPTS) --disable=$(SUPPRESSIONS) irkerhook.py
+	@pylint --score=n irkerd irkerhook.py
 
 loc:
 	@echo "LOC:"; wc -l irkerd irkerhook.py

=== debian/changelog ===
irker (2.23+dfsg-1) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Neil Muller ]
  * New upstream.
    - Includes fixes for python 3.11 deprecations.
  * Drop mercurial patches that were previously backported to 2.19.
  * Update years in debian/copyright.
  * Drop lsb-base dependency, as that is no longer needed.
  * Update standards version to 4.6.2, no changes needed.
  * Add simple irkerhook function tests to autopkgtests.
  * Add patch to fix syntax error in shipped irkerhook.
  * Add missing needs-root to debian/tests/control .

 -- Neil Muller <drnlmuller+debian@gmail.com>  Tue, 14 Feb 2023 16:37:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Neil Muller <drnlmuller+debian@gmail.com>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  pkg-config,
  python3,
  systemd,
  xmlto,
  dh-python
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: binary-targets
 Homepage: http://www.catb.org/esr/irker/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/irker
@@ -21,7 +21,6 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
- lsb-base,
  adduser,
 Pre-Depends: ${misc:Pre-Depends}
 Description: submission tools for IRC notifications

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	rm -f irker-logo.png
 
 %:
-	dh ${@} --with python2
+	dh ${@} --with python3
 
 override_dh_auto_build:
 	DESTDIR="$(CURDIR)/debian/irker" dh_auto_build

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*$// \
  https://gitlab.com/esr/irker/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*
